CEL: Crystal Entity Layer: iCelBlLayerGenerate Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelBlLayerGenerate Struct Reference

This is an interface that behaviour layers can optionally implement. More...

`#include <behaviourlayer/blgen.h>`

List of all members.

## Public Member Functions
virtual bool | CreateBehaviourScriptFromDoc (const char *name, iDocumentNode *node)=0
| Create a new named behaviour layer script from a document node.
virtual bool | CreateBehaviourScriptFromFile (const char *name, const char *filename)=0
| Create a new named behaviour layer script from a file (VFS path).
virtual bool | CreateBehaviourScriptFromString (const char *name, const char *string)=0
| Create a new named behaviour layer script from a string.

## Detailed Description

This is an interface that behaviour layers can optionally implement.

If they do implement this interface then it is possible to dynamically add behaviour (scripts) to the behaviour layer by using the API in this interface.

Definition at line 36 of file blgen.h.

## Member Function Documentation

virtual bool iCelBlLayerGenerate::CreateBehaviourScriptFromDoc | ( | const char * | name,
|  | iDocumentNode * | node
| ) | `[pure virtual]`

| Create a new named behaviour layer script from a document node. Returns false on error (will use reporter to report the error).

virtual bool iCelBlLayerGenerate::CreateBehaviourScriptFromFile | ( | const char * | name,
|  | const char * | filename
| ) | `[pure virtual]`

| Create a new named behaviour layer script from a file (VFS path). Returns false on error (will use reporter to report the error).

virtual bool iCelBlLayerGenerate::CreateBehaviourScriptFromString | ( | const char * | name,
|  | const char * | string
| ) | `[pure virtual]`

| Create a new named behaviour layer script from a string. Returns false on error (will use reporter to report the error).

The documentation for this struct was generated from the following file:

- behaviourlayer/blgen.h